Bug 124041 - Clock applet's calendar puts Sunday at right: no preference to change this
Clock applet's calendar puts Sunday at right: no preference to change this
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Depends On:
  Show dependency treegraph
Reported: 2004-05-23 00:52 EDT by Pierre Sarrazin
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-27 17:06:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Pierre Sarrazin 2004-05-23 00:52:31 EDT
Description of problem:
The clock applet shows a calendar that puts Sunday at the right
instead of at the left, and the Preferences dialog gives no way
to change this.

Version-Release number of selected component (if applicable):

How reproducible:
Every time.

Steps to Reproduce:
1. Add the clock applet to the panel.
2. Click on the applet to have it show a calendar.
3. Open the Preferences dialog through the applet's context menu.
Additional info:
I recently upgraded my FC1 system to FC2, and I use it in the
fr_CA locale.
Comment 1 Mark McLoughlin 2004-08-11 04:50:53 EDT
Moving to gtk+, but the week start has been localized to be Monday in
the fr locale, so this is expected behaviour
Comment 2 Pierre Sarrazin 2004-08-11 10:15:52 EDT
Calendars in Québec almost always start the week on Sunday.
Perhaps the bug should be retitled "gtk+ assumes that languages
and week starts are correlated".  Anyway, I hope this situation
will be seen as a bug and that week starts will be made explicitly
configurable through the Preferences dialog.
Comment 3 Matthias Clasen 2004-08-11 10:41:22 EDT
Well, its not exactly gtk which makes this assumption. Thats part of
the posix locale model.
Comment 4 Matthias Clasen 2004-08-26 21:55:23 EDT
No, we will not make this explicitly configurable again after
changing to the current mechanism of deriving calendar information
from the locale. The correct fix for this would be to change the
translation of 




for the fr_CA locale. However, it appears that there are no special
translations for fr_CA.

Note You need to log in before you can comment on or make changes to this bug.